/********************************************************************************* 
 *     COPYRIGHT NOTICE:
 *     Copyright © 2013 Andrew Smith (GNA SERVICES INC) <Andrew@GNAServicesInc.com>
 *     All Rights Reserved.
 *
 *   This file, def.h , is part of tpad.
 *
 *   tpad is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *   tpad is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with tpad.  If not, see <http://www.gnu.org/licenses/>.
 ********************************************************************************/
////////////////////////////////////////////////////////////////////////
#ifndef _GNU_SOURCE
#define _GNU_SOURCE 1
#endif
#ifndef  _XOPEN_SOURCE_EXTENDED
#define _XOPEN_SOURCE_EXTENDED
#endif
#ifndef __USE_FILE_OFFSET64
#define __USE_FILE_OFFSET64
#endif
#ifndef _FILE_OFFSET_BITS 
#define _FILE_OFFSET_BITS 64
#endif
#ifndef _FORTIFY_SOURCE
#define _FORTIFY_SOURCE 2
#endif
#ifndef __USE_FORTIFY_LEVEL
#define __USE_FORTIFY_LEVEL 2
#endif
////////////////////////////////////////////////////////////////////////
#ifndef  TPAD_STACKS_MAX
#define _TPAD_STACKS_MAX 9999
#endif
#ifndef UNDO_MAX
#define UNDO_MAX 3000
#endif
#ifndef THREAD_MAX 
#define THREAD_MAX 8
#endif
#ifndef _DESKTOP_FILE_NAME
#define _DESKTOP_FILE_NAME "tpad.desktop"
#endif
#ifndef _FILE_IS_A_DIRECTORY
#define _FILE_IS_A_DIRECTORY 1
#endif
#ifndef  _FILE_IS_A_LINK
#define _FILE_IS_A_LINK 2
#endif
#ifndef _ERROR_FILE_GET_TYPE 
#define _ERROR_FILE_GET_TYPE 3
#endif
#ifndef _FILE_IS_A_REGRULAR_FILE
#define _FILE_IS_A_REGRULAR_FILE 4
#endif

////////////////////////////////////////
#ifndef _FONT
#define _FONT gettext("Choose Font")
#endif
#ifndef _LINE_NUMBER
#define _LINE_NUMBER gettext("Show Line Numbers")
#endif
#ifndef _LANGUAGE
#define _LANGUAGE gettext("Show Language")
#endif
#ifndef _AUTOTAB
#define _AUTOTAB gettext("Auto Indent")
#endif
#ifndef _SPELLING
#define _SPELLING gettext("Spell Check")
#endif
#ifndef _SHOW_FULL_PATH
#define  _SHOW_FULL_PATH gettext("Show Full File Path")
#endif
#ifndef _UI_SETTINGS
#define _UI_SETTINGS gettext("Display UI Settings")
#endif
#ifndef _DEFAULT_WIDTH
#define _DEFAULT_WIDTH gettext("Default Window Width")
#endif
#ifndef _DEFAULT_HEIGHT
#define _DEFAULT_HEIGHT gettext("Default Window Height")
#endif
#ifndef _UNDO_LEVEL
#define _UNDO_LEVEL gettext("Set Maximum Undo Level (0 For Unlimited) :")
#endif
#ifndef _FIND_FIND_AND_REPLACE
#define _FIND_FIND_AND_REPLACE gettext("Find / Find & Replace Text")
#endif
#ifndef _SEARCH
#define _SEARCH_FOR gettext("Search Text For:")
#endif
#ifndef _ERROR_POPUP_TITLE
#define _ERROR_POPUP_TITLE gettext("Error!")
#endif
#ifndef _REPLACE_WITH
#define _REPLACE_WITH gettext("Replace Text With:")
#endif
#ifndef _FIND
#define _FIND gettext("Find")
#endif
#ifndef _FALLBACK_SAVE_FILE_NAME
#define _FALLBACK_SAVE_FILE_NAME gettext("Untitled")
#endif
#ifndef _REPLACE
#define _REPLACE gettext("Replace")
#endif
#ifndef _SAVE_CHANGES
#define _SAVE_CHANGES gettext("Text was modified!\nSave it?")
#endif
#ifndef _FIND_AND_REPLACE
#define _FIND_AND_REPLACE gettext("Find & Replace")
#endif
#ifndef _SPELL_LANG
#define _SPELL_LANG gettext("en_US")
#endif
#ifndef _KEEP_WIND_ABOVE
#define _KEEP_WIND_ABOVE gettext("Keep Window Above")
#endif
#ifndef _LINE_WP
#define _LINE_WP gettext("Wrap Lines")
#endif
#ifndef _ABT_COMMENT
#define _ABT_COMMENT gettext("That simple, fast, and user friendly text editor you love.")
#endif
#ifndef _TRANSLATOR_CREDITS
#define _TRANSLATOR_CREDITS gettext("translator-credits")
#endif
#ifndef _CAN_NOT_READ_FILE
#define _CAN_NOT_READ_FILE gettext("Reading file failed!")
#endif
#ifndef _CONVERT_FAILED
#define _CONVERT_FAILED gettext("Conversion to UTF-8 FAILED! Is this a text document?")
#endif
#ifndef _FAILED_SAVE_FILE
#define _FAILED_SAVE_FILE gettext("WARNING: Saving File Failed! Unable to write to file: ")
#endif
#ifndef _SAVE_FILE
#define _SAVE_FILE gettext("Save File")
#endif
#ifndef _NEW_THREAD_FAILED
#define _NEW_THREAD_FAILED gettext("Thread could not be created")
#endif
#ifndef _WORD_COUNT
#define _WORD_COUNT gettext("Word Count")
#endif
#ifndef _WORD_COUNT_HEADING
#define _WORD_COUNT_HEADING gettext("Word Count:")
#endif
#ifndef _CHAR_COUNT_HEADING
#define _CHAR_COUNT_HEADING gettext("Char Count:")
#endif
#ifndef _LINE_COUNT_HEADING
#define _LINE_COUNT_HEADING gettext("Line Count:")
#endif
#ifndef _REVERSE_ALL_TEXT
#define _REVERSE_ALL_TEXT gettext("Reverse")
#endif
#ifndef _MAKE_UPPERCASE
#define _MAKE_UPPERCASE gettext("To upper case ")
#endif
#ifndef _MAKE_LOWERCASE
#define _MAKE_LOWERCASE gettext("To lower case")
#endif
////////////////////////////////////////
