/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*-  */
/*
 * tpad.h
 * Copyright (C) 2013 Andrew Smith <Andrew@GNAServicesInc.com>
 * 
 * tpad is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * tpad is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _TPAD_
#define _TPAD_
void build_window();
void tpad_init_buff();
void tpad_show_window();
////////////////////////////////////////////////////////////////////////
// Fun
////////////////////////////////////////////////////////////////////////
void ui_unity_init();
int ui_unity_urgent_on ();
int ui_unity_urgent_off ();
void ui_unity_destroy ();
void up_caps_document();
void stacks_save_all_unsaved();
void low_caps_document();
int check_stacks_unsaved();
void get_stacks_unsaved();
void stack_save_file_dia(int stack_id);
int check_warn_stack_unsaved();
void get_text_stats(GtkWidget *caller);
void show_ui_prefs();
void toggle_covt (GtkWidget *caller);
gboolean is_separator (gchar cChar);
gint gtk_text_buffer_get_word_count (GtkTextBuffer *buffer);
int new_thread_tpad (char *file);
void do_redo();
void init_spelling();
void set_buffer();
void submit_buff( );
void stack_save_to(int stack_id, gchar* file_path);
void really_do_replace(GtkWidget *caller, GtkWidget *dialog);
void open_file();
void stack_change(GtkSpinButton *button, gpointer       data);
int save_modified();
void *launch_control( void *ptr );
void show_about();
void toggle_spelling();
void do_replace();
void init_spelling();
void show_file(gchar *nfile);
void do_find(GtkWidget *caller, GtkWidget *dialog);
void show_about();
void save_file();
void set_language();
void toggle_linenumber(GtkWidget *caller);
void select_font();
void attach_spell();
void stacks_free_all();
void quit_program();
void replace_dialog();
void detach_spell();
void new_file();
void open_file_path_append_stack(gchar* newfile);
void do_undo();
void rev_document();
void runn();
void toggle_show_lang(GtkWidget *caller);
void save_as();
void toggle_show_full_path();
void set_title();
void toggle_line_wrap(GtkWidget *caller);
gchar *get_currentfile_basename();
void toggle_keep_above(GtkWidget *caller);
#ifdef AUTO_TAB_TOGGLE
void toggle_auto_tab(GtkWidget *caller);
#endif
void Stack_number_up();
void Stack_number_down();
void read_in_current_stack();
void file_to_stack_current();
void open_append_stack();
void stack_save_to_append(int stack_id, gchar* file_path, gchar* buffcontent);
#endif /* _APPLICATION_H_ */

